variable placeholder
{"placeholder":"getvariable","values":{"name":"some_variable"}}
basic json syntax
{"placeholder":"json","values":{"json_path":"$.events.length()","source":"config/fancymenu/assets/events.json"}}
working from eventCount
{"placeholder":"json","values":{"json_path":"$.events[{"placeholder":"getvariable","values":{"name":"eventCount"}}].name","source":"config/fancymenu/assets/events.json"}}
working from layers
{"placeholder":"json","values":{"json_path":"$.events[{"placeholder":"getvariable","values":{"name":"eventCount"}}].layers.length()","source":"config/fancymenu/assets/events.json"}}

layer limit: 10
extras limit: 5
^^ both of these are hardcoded limits, but they can be changed if needed!!

--VARIABLES--
debug //debug on/off
eventSetupStage //current setup stage
currentEvent //current event 
currentEventIndex //can't make JSONPath work properly and this is easier and maybe even more efficient
month | day | hour //month, day, hour
eventTotal //total events listed in json
eventCount //event for loop counter
layerTotal //total layers listed in event json object
layerCount //layer for loop counter
withinMonthBounds //idk just in case
shortEvent //idk just in case
extrasTotal //total extra layouts
extrasCount //extra layouts for loop counter
delExtrasCount //extra layouts delete counter (persistent between restarts to account for disabling layouts restarting the script)

layer<i>Image //layer image
layer<i>PosX //layer pos x
layer<i>PosY //layer pos y
layer<i>SensX //layer sensitivity x
layer<i>SensY //layer sensitivity y
layer<i>Width //layer width
layer<i>Height //layer height
eventBackgroundColor //solid color background image

--FIXED(?) PARALLAX FORMULA--
image scale ratio: 1.3x larger. 1.78:1 ratio 
  parallax_X:{"placeholder":"calc","values":{"expression":"((-{"placeholder":"mouseposx"}) + ({"placeholder":"guiwidth"}/2))/{"placeholder":"guiwidth"}*10 + (({"placeholder":"guiwidth"}/2) - ((({"placeholder":"guiheight"}) * 1.8*1.1)/2))","decimal":"false"}}
  parallax_Y:{"placeholder":"calc","values":{"expression":"((-{"placeholder":"mouseposx"}) + ({"placeholder":"guiwidth"}/2))/{"placeholder":"guiwidth"}*10 + (({"placeholder":"guiwidth"}/2) - ((({"placeholder":"guiheight"}) * 1*1.1)/2))","decimal":"false"}}
  advanced_width = {"placeholder":"calc","values":{"expression":"(({"placeholder":"guiheight"}) * 1.8*{"placeholder":"getvariable","values":{"name":"zoom"}})","decimal":"false"}}
  advanced_height = {"placeholder":"calc","values":{"expression":"(({"placeholder":"guiheight"}) * 1*{"placeholder":"getvariable","values":{"name":"zoom"}})","decimal":"false"}}
  
--LAYOUTS?--
for extras.length
	enable extra<i>
	oldExtrasList = oldExtrasList + extra<i>
when done:
oldExtrasList = extra1extra2extra3